﻿using Syncfusion.JavaScript.Web;
using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace DropDown_141725
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        protected void Page_PreRender(object sender, EventArgs e)
        {
            this.DropDownList1.DataSource = new DropDownDataSource().GetTreeIconItems().ToList();
        }
        public class DropDownDataSource
        {

            public DropDownDataSource()
            { }
            public DropDownDataSource(int _id, int _parentid, string _text, string _hasChild, string _expanded, string _spriteCssClass)
            {
                this.ID = _id;
                this.ParentID = _parentid;
                this.Text = _text;
                this.HasChild = _hasChild;
                this.Expanded = _expanded;
                this.SpriteCssClass = _spriteCssClass;
            }
            [Browsable(true)]
            public int ID
            {
                get;
                set;
            }

            [Browsable(true)]
            public int ParentID
            {
                get;
                set;
            }

            [Browsable(true)]
            public string Text
            {
                get;
                set;
            }
            [Browsable(true)]
            public string HasChild
            {
                get;
                set;
            }
            [Browsable(true)]
            public string Expanded
            {
                get;
                set;
            }
            [Browsable(true)]
            public string SpriteCssClass
            {
                get;
                set;
            }

            public List<DropDownDataSource> GetTreeIconItems()
            {
                List<DropDownDataSource> data = new List<DropDownDataSource>();
                data.Add(new DropDownDataSource(1, 0, "Mail", "true", "true", "mailicon sprite-root"));
                data.Add(new DropDownDataSource(2, 1, "Inbox ", "true", "", "mailicon sprite-inbox"));
                data.Add(new DropDownDataSource(3, 2, "Development ", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(4, 2, "Supports", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(5, 2, "HR Team ", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(20, 2, "Management", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(21, 2, "Team Meeting", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(6, 1, "Drafts", "true", "", "mailicon sprite-drafts"));
                data.Add(new DropDownDataSource(7, 6, "Support template ", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(8, 6, "Personal ", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(9, 1, "Sent items ", "true", "", "mailicon sprite-sentitems"));
                data.Add(new DropDownDataSource(10, 9, "Support ", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(22, 9, "HTML JS ", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(23, 9, "Others ", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(24, 1, "Deleted ", "", "", "mailicon sprite-deleted"));
                data.Add(new DropDownDataSource(25, 1, "Junk Mails ", "", "", "mailicon sprite-junk"));
                data.Add(new DropDownDataSource(26, 1, "Peronal ", "true", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(27, 26, "HR Team ", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(28, 26, "My Works ", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(29, 26, "Login details ", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(11, 0, "Calendar", "true", "", "mailicon sprite-calendar"));
                data.Add(new DropDownDataSource(12, 11, "My Calendar ", "", "", "mailicon sprite-calendar"));
                data.Add(new DropDownDataSource(13, 11, "Team", "", "", "mailicon sprite-calendar"));
                data.Add(new DropDownDataSource(14, 11, "Others", "", "", "mailicon sprite-calendar"));
                data.Add(new DropDownDataSource(15, 0, "Notes", "true", "", "mailicon sprite-notes"));
                data.Add(new DropDownDataSource(16, 15, "My Reference ", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(17, 15, "Team Meeting", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(18, 15, "Others", "", "", "mailicon sprite-folder"));
                data.Add(new DropDownDataSource(30, 0, "Contacts", "true", "", "mailicon sprite-contacts"));
                data.Add(new DropDownDataSource(31, 30, "Suggested", "", "", "mailicon sprite-contacts"));
                data.Add(new DropDownDataSource(32, 30, "MY Team", "", "", "mailicon sprite-contacts"));
                data.Add(new DropDownDataSource(33, 30, "Others", "", "", "mailicon sprite-contacts"));

                return data;
            }
        }

        protected void DropDownList1_ValueSelect(object sender, DropdownListEventArgs e)
        {
            this.label1.Text = "Data bound";
            this.DropDownList2.DataSource = new DropDownDataSource().GetTreeIconItems().ToList();
        }
    }
}